> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Teller Verification

Updates an existing AccountVerificationSession object of type `teller`.

## Path Parameters

## Body

## Returns

Returns an AccountVerificationSession object.

```bash cURL theme={null}
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions/avf_DjkdemgTQfqRD \
  -X PUT \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "teller": {
      "balances" : {
        "account_id": "acc_ns9gkibeia6ad0rr6s00q",
        "available": "93011.13",
        "ledger": "93011.13",
        "links": {
          "account": "https://reference.teller.io/accounts/acc_ns9gkibeia6ad0rr6s00q",
          "self": "https://reference.teller.io/accounts/acc_ns9gkibeia6ad0rr6s00q/balances"
        }
      },
      "transactions": [
        ...
      ]
  }'
```

```javascript Node.js theme={null}
const response = await method
  .accounts('acc_yVf3mkzbhz9tj')
  .verificationSessions
  .update('avf_DjkdemgTQfqRD', {
    teller: {
      balances: {
        account_id: 'acc_ns9gkibeia6ad0rr6s00q',
        available: '93011.13',
        ledger: '93011.13',
        links: {
          account: 'https://reference.teller.io/accounts/acc_ns9gkibeia6ad0rr6s00q',
          self: 'https://reference.teller.io/accounts/acc_ns9gkibeia6ad0rr6s00q/balances'
        }
      },
      transactions: [
        ...
      ]
    }
  });
```

```python Python theme={null}
response = method
  .accounts('acc_yVf3mkzbhz9tj')
  .verification_sessions
  .update('avf_DjkdemgTQfqRD', {
    'teller': {
      'balances': {
        'account_id': 'acc_ns9gkibeia6ad0rr6s00q',
        'available': '93011.13',
        'ledger': '93011.13',
        'links': {
          'account': 'https://reference.teller.io/accounts/acc_ns9gkibeia6ad0rr6s00q',
          'self': 'https://reference.teller.io/accounts/acc_ns9gkibeia6ad0rr6s00q/balances'
        }
      },
      'transactions': [
        ...
      ]
    }
  })
```

```json theme={null}
{
  "id": "avf_DjkdemgTQfqRD",
  "account_id": "acc_yVf3mkzbhz9tj",
  "status": "verified",
  "error": null,
  "type": "teller",
  "teller": {
    "balances": {
      "account_id": "acc_ns9gkibeia6ad0rr6s00q",
      "available": "93011.13",
      "ledger": "93011.13",
      "links": {
        "account": "https://reference.teller.io/accounts/acc_ns9gkibeia6ad0rr6s00q",
        "self": "https://reference.teller.io/accounts/acc_ns9gkibeia6ad0rr6s00q/balances"
      }
    },
    "transactions": [ ... ]
  },
  "created_at": "2024-03-14T02:02:24.862Z",
  "updated_at": "2024-03-14T02:02:24.862Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.